﻿using System;
using System.Collections.Generic;

using OpenQA.Selenium;
using OpenQA.Selenium.Chrome;
using OpenQA.Selenium.Support.UI;

namespace TestProject
{
    /// <summary>
    /// 프로그램
    /// </summary>
    class Program
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region 프로그램 시작하기 - Main()

        /// <summary>
        /// 프로그램 시작하기
        /// </summary>
        private static void Main()
        {
            ChromeDriverService driverService = ChromeDriverService.CreateDefaultService();

            ChromeOptions options = new ChromeOptions();

            ChromeDriver driver = new ChromeDriver(driverService, options);

            INavigation navigation = driver.Navigate();

            navigation.GoToUrl("https://www.daum.net");

            WebDriverWait wait = new WebDriverWait(driver, TimeSpan.FromSeconds(10));

            wait.Until(webDriver => ((IJavaScriptExecutor)webDriver).ExecuteScript("return document.readyState").Equals("complete"));

            IReadOnlyCollection<IWebElement> webElementCollection = driver.FindElements(By.TagName("a"));

            foreach(IWebElement webElement in webElementCollection)
            {
                string url = webElement.GetAttribute("href");

                if(string.IsNullOrEmpty(url) || !url.StartsWith("https://v.daum.net"))
                {
                    continue;
                }

                Console.WriteLine(url);
            }

            Console.WriteLine("크롬 브라우저를 종료하려면 아무 키나 눌러주시기 바랍니다.");

            Console.ReadKey(false);

            driver.Quit();
        }

        #endregion
    }
}